img-flir(3tk)

NAME
img-flir - Img, FLIR FPF Public Image Format (flir)

SYNOPSIS
package require Tk

package require img::flir ?1.4?

image create photo ?name? ?options?

DESCRIPTION
package require img::flir.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the FLIR FPF Public Image Format (flir). More specifically img::flir extends Tk's photo image type.

The name of the new format handler is flir. This handler provides new additional configuration options. See section FLIR OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in flir format (options -data and -file) is detected automatically.

[2] The format name flir is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section FLIR OPTIONS.

NOTE
This format handler must be loaded explicitly with package require img::flir.

SUPPORTED FLIR TYPES

     Interpret FLIR image files as a grayscale image.

     List of currently supported features:

     Type   |     Read      |     Write     |
            | -file | -data | -file | -data |
     ----------------------------------------
     Short  | Yes   | Yes   | No    | No   |
     Int    | Yes   | Yes   | No    | No   |
     Float  | Yes   | Yes   | No    | No   |
     Double | Yes   | Yes   | No    | No   |

FLIR OPTIONS
The handler provides the following options:

-verbose bool
    If set to true, additional information about the loaded image is printed to stdout. Default is false.

-map string
    Specify the mode when mapping the 64, 32 or 16-bit values of the image to 8-bit gray scale values for displaying. Possible values: none, minmax, agc. Default mode is minmax.

-gamma float
    Specify a gamma correction to be applied when mapping the input data to 8-bit image values. Valid for mapping modes: minmax and agc. Default is 1.0.

-min float
    Specify the minimum pixel value to be used for mapping the input data to 8-bit image values. Default is the minimum value found in the image data.

-max float
    Specify the maximum pixel value to be used for mapping the input data to 8-bit image values. Default is the maximum value found in the image data.

-saturation float
    The supplied value specifies the saturation value, i.e. all pixel values greater than the saturation are mapped to white. Valid for mapping mode: agc

-cutoff float
    The supplied value specifies the cut-off value in percent. Valid for mapping mode: agc

SEE ALSO
img-bmp, img-dted, img-flir, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
flir, image handling, tk

COPYRIGHT
Copyright (c) 1995-2023 Jan Nijtmans <nijtmans@users.sourceforge.net>